{% extends "infra/base.html" %}
{% load staticfiles %}
{% load widget_tweaks %}


{% block title %}{% if object %}Editar{% else %}Nuevo{% endif %} nodo{% endblock %}
{% block extra_head %}
  <link rel="stylesheet" type="text/css" href="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %}">
  <link rel="stylesheet" href="text/css" href="//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css">
{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
      <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
      <li class="breadcrumb-item"><a href="{% url 'node-list' %}">Nodos</a></li>
      <li class="breadcrumb-item active">{% if object %}Editar{% else %}Nuevo{% endif %} Nodo</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{% if object %}Editar{% else %}Nuevo{% endif %} <small>nodo</small></h1>
  <!-- end page-header -->

  <ul class="nav nav-pills mb-2">
      {% if object %}
      <li class="nav-item">
        <a href="{% url 'node-detail' pk=object.pk %}" class="nav-link active">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
        </a>
      </li>
      <li class="nav-item">
        <a href="{% url 'node-gear' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Equipos</span>
          <span class="d-sm-block d-none">Equipos</span>
        </a>
        </li>
        <li class="nav-item">
          <a href="{% url 'node-gallery' pk=object.pk %}" class="nav-link">
          <span class="d-sm-none">Galería</span>
          <span class="d-sm-block d-none">Galería</span>
          </a>
        </li>
        <li class="nav-item">
          <a href="{% url 'node-documents' pk=object.pk %}" class="nav-link">
            <span class="d-sm-none">Documentos</span>
            <span class="d-sm-block d-none">Documentos</span>
          </a>
          </li>
          
          <li class="nav-item">
              <a href="{% url 'node-services' pk=object.pk %}" class="nav-link">
                <span class="d-sm-none">Servicios</span>
                <span class="d-sm-block d-none">Servicios</span>
              </a>
              </li>
              
              <li class="nav-item">
                  <a href="{% url 'node-location' pk=object.pk %}" class="nav-link">
                    <span class="d-sm-none">Ubicación</span>
                    <span class="d-sm-block d-none">Ubicación</span>
                  </a>
                  </li>

          {% else %}
      <li class="nav-item">
        <a href="{% url 'node-create' %}" class="nav-link active">
        <span class="d-sm-none">General</span>
        <span class="d-sm-block d-none">General</span>
        </a>
      </li>
      {% endif %}
      </ul>

 




 <!-- begin row -->
 <div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">{% if object %}Editar{% else %}Nuevo{% endif %} Nodo {% if object %} #{{ object.pk }}{% endif %}</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
            <div class="row mb-3">
                <div class="col-sm-12 col-md-12">
                    <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
                    <button id="save-button" type="button" class="btn btn-primary btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
                </div>
              </div>
            <form id="node-form" class="form-horizontal" method="post">
	      {% csrf_token %}
	      {{ form.media }}
            
              <div class="tab-content">
                <div id="general" role="tabpanel" class="tab-pane active">
                  <div class="form-group row m-b-15">
                    <label for="id_code" class="col-form-label col-md-3">Número</label>
                    <div class="col-sm-9">
		      <p class="form-control m-b-5">{{ object.pk }}</p>
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_code" class="col-form-label col-md-3">Código</label>
                    <div class="col-sm-9">
		      {% render_field form.code class="form-control m-b-5" %}
		      {% for error in form.code.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_status" class="col-form-label col-md-3">Estado</label>
                    <div class="col-sm-9">
		      {% render_field form.status class="form-control m-b-5" %}
		      {% for error in form.status.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_address" class="col-form-label col-md-3">Dirección</label>
                    <div class="col-sm-9">
		      {% render_field form.address class="form-control m-b-5" %}
		      {% for error in form.address.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_street" class="col-form-label col-md-3">Calle</label>
                    <div class="col-sm-9">
		      {% render_field form.street class="form-control m-b-5" %}
		      {% for error in form.street.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_house_number" class="col-form-label col-md-3">Número</label>
                    <div class="col-sm-9">
		      {% render_field form.house_number class="form-control m-b-5" %}
		      {% for error in form.house_number.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_seller" class="col-form-label col-md-3">Vendedor</label>
                    <div class="col-sm-9">
		      {% render_field form.seller class="form-control m-b-5" %}
		      {% for error in form.seller.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_commune" class="col-form-label col-md-3">Comuna</label>
                    <div class="col-sm-9">
		      {% render_field form.commune class="form-control m-b-5" %}
		      {% for error in form.commune.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                 </div>
                  <div class="form-group row m-b-15">
                    <label for="id_commune" class="col-form-label col-md-3">Ubicacion</label>
                    <div class="col-sm-9">
              {% render_field form.location class="form-control m-b-5" %}
              {% for error in form.location.errors %}
              <small class="f-s-12 text-danger">{{ error }}</small>
              {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_parent" class="col-form-label col-md-3">Nodo Padre</label>
                    <div class="col-sm-9">
		      {% render_field form.parent class="form-control m-b-5" %}
		      {% for error in form.parent.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_default_connection_node" class="col-form-label col-md-3">Nodo de corte por defecto</label>
                    <div class="col-sm-9">
		      {% render_field form.default_connection_node class="form-control m-b-5" %}
		      {% for error in form.default_connection_node.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_ip_range" class="col-form-label col-md-3">Rango de IP</label>
                    <div class="col-sm-9">
		      {% render_field form.ip_range class="form-control m-b-5" %}
		      {% for error in form.ip_range.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_mikrotik_ip" class="col-form-label col-md-3">IP Mikrotik</label>
                    <div class="col-sm-9">
		      {% render_field form.mikrotik_ip class="form-control m-b-5" %}
		      {% for error in form.mikrotik_ip.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_mikrotik_username" class="col-form-label col-md-3">Usuario Mikrotik</label>
                    <div class="col-sm-9">
		      {% render_field form.mikrotik_username class="form-control m-b-5" %}
		      {% for error in form.mikrotik_username.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_parent" class="col-form-label col-md-3">Contraseña Mikrotik</label>
                    <div class="col-sm-9">
		      {% render_field form.mikrotik_password class="form-control m-b-5" %}
		      {% for error in form.mikrotik_password.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_is_building" class="col-form-label col-md-3">¿Es Edificio?</label>
                    <div class="col-sm-9">
		      {% render_field form.is_building %}
		      {% for error in form.is_building.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_is_optical_fiber" class="col-form-label col-md-3">¿Es Fibra Óptica?</label>
                    <div class="col-sm-9">
		      {% render_field form.is_optical_fiber %}
		      {% for error in form.is_optical_fiber.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                  <div class="form-group row m-b-15">
                    <label for="id_antennas_left" class="col-form-label col-md-3">Antenas que se puede instalar</label>
                    <div class="col-sm-9">
		      {% render_field form.antennas_left %}
		      {% for error in form.antennas_left.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                 <div class="form-group row m-b-15">
                    <label for="id_plans" class="col-form-label col-md-3">Planes disponibles</label>
                    <div class="col-sm-9">
                    <table class="table scrolltable">
                      <thead>
                        <th scope="col">#</th>
                        <th scope="col">Incluir</th>
                        <th scope="col">Planes</th>
                        <th scope="col">Activo</th>
                      </thead>
                      <tbody>
                        {% for plan in plans_all %}
                          <tr>
                              <th scope="row">{{forloop.counter}}</th>
                              <td><input type="checkbox" name="plans" value="{{plan.id}}" id="plan-{{plan.id}}"></td>
                              <td>{{plan}}</td>

                              {% if plan.active %}
                                <td><i class="fa fa-check-square text-success"></i></td>
                              {% else %}
                                <td><i class="fa fa-window-close text-danger"></i></td>
                              {% endif %}
                          </tr>
                        {% endfor %}

                      </tbody>
                    </table>
		      {% for error in form.plans.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
                 <div class="form-group row m-b-15">
                    <label for="id_notes" class="col-form-label col-md-3">Notas</label>
                    <div class="col-sm-9">
		      {% render_field form.notes %}
		      {% for error in form.notes.errors %}
		      <small class="f-s-12 text-danger">{{ error }}</small>
		      {% endfor %}
                    </div>
                  </div>
		  <div id="building-group"{% if not object.is_building %} class="hidden"{% endif %}>
                    <div class="form-group row m-b-15">
                      <label for="id_towers" class="col-form-label col-md-3">Número de Torres</label>
                      <div class="col-sm-9">
			{% render_field form.towers class="form-control m-b-5" %}
			{% for error in form.towers.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
                      </div>
                    </div>
                    <div class="form-group row m-b-15">
                      <label for="id_apartments" class="col-form-label col-md-3">Número de Departamentos</label>
                      <div class="col-sm-9">
			{% render_field form.apartments class="form-control m-b-5" %}
			{% for error in form.apartments.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
                      </div>
                    </div>
                    <div class="form-group row m-b-15">
                      <label for="id_phone" class="col-form-label col-md-3">Teléfono de Conserjería</label>
                      <div class="col-sm-9">
			{% render_field form.phone class="form-control m-b-5" %}
			{% for error in form.phone.errors %}
			<small class="f-s-12 text-danger">{{ error }}</small>
			{% endfor %}
                      </div>
                    </div>
		    
		  </div>

		  <h4>Información de contacto</h4>
      content
		  {{ inlines.management_form }}
		  {% for inline_form in inlines %}
		  <div class="panel">
		    <div class="panel-body">
		      {{ inline_form.id }}
                      <div class="form-group row m-b-15">
			<label for="FIXME" class="col-form-label col-md-3">{{ inline_form.kind.label }}</label>
			<div class="col-sm-9">
			  {% render_field inline_form.kind class="form-control m-b-5" %}
			  {% for error in inline_form.kind.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
                      </div>
                      <div class="form-group row m-b-15">
			<label for="FIXME" class="col-form-label col-md-3">{{ inline_form.name.label }}</label>
			<div class="col-sm-9">
			  {% render_field inline_form.name class="form-control m-b-5" %}
			  {% for error in inline_form.name.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
                      </div>
                      <div class="form-group row m-b-15">
			<label for="FIXME" class="col-form-label col-md-3">{{ inline_form.phone.label }}</label>
			<div class="col-sm-9">
			  {% render_field inline_form.phone class="form-control m-b-5" %}
			  {% for error in inline_form.phone.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
                      </div>
                      <div class="form-group row m-b-15">
			<label for="FIXME" class="col-form-label col-md-3">{{ inline_form.email.label }}</label>
			<div class="col-sm-9">
			  {% render_field inline_form.email class="form-control m-b-5" %}
			  {% for error in inline_form.email.errors %}
			  <small class="f-s-12 text-danger">{{ error }}</small>
			  {% endfor %}
			</div>
                      </div>
		    </div>
		  </div>
		  {% endfor %}



                </div>
              </div>
            </form>
          </div>
          <!-- end panel-body -->
        </div>
        <!-- end panel -->
        </div>
        </div>
        <!-- end row -->
        
        <!-- begin scroll to top btn -->
        <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
        <!-- end scroll to top btn -->
         


{% endblock %}

{% block pageleveljs %}
    <script type="text/javascript" src="{% static 'theme/plugins/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js' %}"></script>
    <script type="text/javascript" scr="//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript">
    $(document).ready(function(){
      $('#id_is_building').on('change', function() {
	  var is_building = $(this).is(':checked');

	  if (is_building) {
              $('#building-group').removeClass('hidden');
	  } else {
              $('#building-group').addClass('hidden');
	  }
      });

      // save and cancel buttons
	$('#save-button').click(function() {
	    $('#node-form').submit();
	});
	$('#cancel-button').click(function() {
	    window.location.href = '/nodes/';
	});
    });
    </script>

    <script>
    $(document).ready( function () {
      {% if object %}
        var array = {{current_plans}}
        array.forEach(function(elemento){
          $('#plan-'+elemento).prop('checked',true)
        })
      {% endif %}
} );
    
    </script>


{% endblock %}
